%define __kde4_alternate_placement 1

%define rname kid3
%ifdef __kde4_alternate_placement
Name: kde4-%rname
%else
Name: %rname
%endif
Version: 1.2
Release: alt3

Group: Sound
Summary: ID3 tagger
License: GPLv2
Url: http://kid3.sourceforge.net/

%ifdef __kde4_alternate_placement
Provides: %rname = %version-%release
%else
Provides: kde4-%rname = %version-%release
Obsoletes: kde4-%rname < %version-%release
%endif
Requires: kde4libs >= %{get_version kde4libs}

Source: kid3-%{version}.tar.gz
Patch1: kid3-1.2-alt-desktop_ru_uk.diff

BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ xorg-devel libflac++-devel id3lib-devel
BuildRequires: libmpeg4ip-devel libtag-devel libtunepimp-devel libvorbis-devel


%description
Kid3 - Efficient ID3 Tagger

With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 frames
- Convert between ID3v1.1 and ID3v2.3 tags
- Edit Ogg/Vorbis tags
- Edit FLAC tags
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import of album data from freedb.org, MusicBrainz and other data sources
- Export of album data in various formats

Authors: Urs Fleisch


%prep
%setup -q -n %rname-%version
%patch1 -p1


%build
%K4cmake \
    -DWITH_TAGLIB:BOOL=ON \
    -DWITH_MP4V2:BOOL=ON \
    -DWITH_ID3LIB:BOOL=ON \
    -DWITH_VORBIS:BOOL=ON \
    -DWITH_FLAC:BOOL=ON \
    -DWITH_KDE:BOOL=ON \
    -DWITH_TUNEPIMP:BOOL=ON
%K4make


%install
%K4install
#K4find_lang --with-kde %rname
%K4find_lang %rname


%files -f %rname.lang
%doc AUTHORS NEWS README ChangeLog
%ifdef __kde4_alternate_placement
%__kde4_bindir/%rname
%__kde4_xdg_apps/%rname.desktop
%__kde4_iconsdir/hicolor/*/apps/%rname.*
%else
%_K4bindir/%rname
%_K4xdg_apps/%rname.desktop
%_K4iconsdir/hicolor/*/apps/%rname.*
%endif
%_K4dbus_interfaces/*id3*
%_K4apps/%rname/
%_K4doc/en/

%changelog
* Wed Jul 08 2009 Sergey V Turchin <zerg@altlinux.org> 1.2-alt3
- built with kde4

* Wed Aug 13 2008 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt0.M41.2
- built with kde3

* Tue Aug 12 2008 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt0.M40.1
- new version

* Sun Dec 23 2007 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt0.M40.1
- new version

* Sat Jul 07 2007 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt0.1.M30
- new version

* Sun Nov 05 2006 Zerg <zerg at altlinux dot org> 0.7-alt0.1.M30
- built for ALT

